
// FaceFrame:  contains a button and a FaceCanvas object

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class FaceFrame extends JFrame implements ActionListener
{
   private JButton move;
   private FaceCanvas myCanvas;

   public FaceFrame()
   {
      move = new JButton( "Move" );
      myCanvas = new FaceCanvas();
      Container c = getContentPane();
      c.setLayout( new FlowLayout() );
      c.add( move );
      c.add( myCanvas );
      move.addActionListener( this );
   }

   public void actionPerformed( ActionEvent ae )
   {
      if ( ae.getSource() == move )
      {
         myCanvas.moveRight();
      }
   }
}
